import os
from celery import Celery


os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'a_long_dianjing.settings')

app = Celery('a_long_dianjing')
app.config_from_object('django.conf:settings', namespace='CELERY')
# 手动导入任务模块，避免与已有 tasks.py 冲突
app.autodiscover_tasks(['orders.notice_tasks'])
